<?php

// @project IFSC Finder v1.0
// @author Naqeeb Ahmad
// @company OIC Technologies Pvt. Ltd.
// @email info@OnlineIfscCode.com
// @web www.OnlineIfscCode.com

include 'include/config.php';
error_reporting(0);

// -- user inputs
$bank = userInput_OIC($_GET['bank']);
$state = userInput_OIC($_GET['state']);
$district = userInput_OIC($_GET['district']);
$branch = userInput_OIC($_GET['branch']);
$cWith = "code";


function currentUrl_OIC() {
    return (($_SERVER['HTTPS'] == "on") ? "https" : "http") . "://" . $_SERVER[HTTP_HOST] . parse_url($_SERVER['REQUEST_URI'], PHP_URL_PATH);
}


$oWith = "online";
// -- common function
function url_string($OIC) {
	return strtolower(str_replace(' ', '-', $OIC));
}

function userInput_OIC($OIC) {
	global $connection_OIC;
	return strtoupper(str_replace("-", " ", mysqli_real_escape_string($connection_OIC, trim($OIC))));
}

?>
<!DOCTYPE HTML>
<html lang="en">

<head>

    <?php
	if($branch) {
		?>
        <title><?php echo $branch . ", " . $district . " Branch IFSC Code Details - " . $siteName_OIC; ?></title>
        <meta name="description" content="<?php echo $branch . " , " . $district . " Branch IFSC Code Details - "; ?>" />
        <meta name="keywords" content="" />
        <?php
	} else {
		?>
            <title><?php echo $siteName_OIC; ?> - Home</title>
            <meta name="description" content="" />
            <meta name="keywords" content="" />
            <?php
	}
	?>
            <meta http-equiv="X-UA-Compatible" content="IE=edge">
            <meta name="viewport" content="width=device-width, initial-scale=1">
            <meta charset="UTF-8">
            <meta name="author" content="Naqeeb Ahmad" />
			<link rel="icon" type="image/jpeg" href="<?php echo $siteURL_OIC; ?>assets/images/favicon.jpg">
            <base href="<?php echo $siteURL_OIC; ?>">
			<link rel="canonical" href="<?php echo currentUrl_OIC(); ?>" />
			<?php $iWith = "ifsc"; ?>
            <link href="https://fonts.googleapis.com/css?family=Encode+Sans+Expanded:400,600,700" rel="stylesheet">

            <link href="<?php echo $siteURL_OIC; ?>assets/css/bootstrap.css" rel="stylesheet">
            <link href="<?php echo $siteURL_OIC; ?>assets/fonts/ionicons.css" rel="stylesheet">
            <link href="<?php echo $siteURL_OIC; ?>assets/css/styles.css" rel="stylesheet">
			<link href="<?php echo $siteURL_OIC; ?>assets/css/custom.css" rel="stylesheet">
            <script>
                function sendAction_OIC() {
                    formAction = document.OICifscform.bank[document.OICifscform.bank.selectedIndex].value;
                    document.OICifscform.action = formAction;
                    document.OICifscform.submit();
                }

                function resetAction_CC() {
                    document.location.href = "<?php echo $siteURL_OIC; ?>";
                }
            </script>
</head>

<body>
    <header>
        <div class="container">
            <a class="logo" href="<?php echo $siteURL_OIC; ?>"><img src="<?php echo $siteURL_OIC; ?>assets/images/logo-black.png" alt="Logo"></a>
            <a class="right-area src-btn" href="#">
<i class="active src-icn ion-search"></i>
<i class="close-icn ion-close"></i>
</a>
            <div class="src-form">
                <form>
                    <input type="text" placeholder="Search here">
                    <button type="submit"><i class="ion-search"></i></a></button>
                </form>
            </div>
            <a class="menu-nav-icon" data-menu="#main-menu" href="#"><i class="ion-navicon"></i></a>
            <ul class="main-menu" id="main-menu">
                <li><a href="<?php echo $siteURL_OIC; ?>">HOME</a></li>
                <li><a href="about.html">ABOUT US</a></li>
                <li><a href="privacy-policy.html">PRIVACY POLICY</a></li>
                <li><a href="contact-us.html">CONTACT US</a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
    </header>

    <section>
        <div class="container">
            <div class="row">
                <div class="col-md-12 col-lg-8">
	<?php
	if($branch) {
		?>
        <h1 class="mb-15"> <?php echo ucwords(strtolower( $bank . ", " . $branch . " " . $district)); ?> Branch IFSC Code</h1>
       
		
       <p>Indian Financial System Code (IFSC). It is used for electronic payment applications like Real Time Gross Settlement (RTGS), National Electronic Funds Transfer (NEFT), Immediate Payment Service, an interbank electronic instant mobile money transfer service (IMPS), and Centralised Funds Management System (CFMS) developed by Reserve Bank of India (RBI). The code has eleven characters "Alpha Numeric" in nature. First four characters represent bank, fifth character is default "0" left for future use and last six characters represent branch.</p>
        <?php
	} else {
		?>
           <h1 class="mb-15 text-center">What is an IFSC code?</h1>
                    
                    <p>Indian Financial System Code (IFSC). It is used for electronic payment applications like Real Time Gross Settlement (RTGS), National Electronic Funds Transfer (NEFT), Immediate Payment Service, an interbank electronic instant mobile money transfer service (IMPS), and Centralised Funds Management System (CFMS) developed by Reserve Bank of India (RBI). The code has eleven characters "Alpha Numeric" in nature. First four characters represent bank, fifth character is default "0" left for future use and last six characters represent branch.</p>
					<p class="mtb-15">
					MICR Code: Magnetic Ink Character Recognition as printed on cheque book to facilitate the processing of cheques.</p>
            <?php
	}
	?>
					
                    <div class="brdr-ash-1 mt-15"></div>
			<center class="mt-15">
				<h2>Find an IFSC code</h2>
				<p>Select one of the banks, states, district, and branch and get your IFSC code with MICR code.</p>
			</center>
            <div id="ifscform" class=" mt-40 mt-sm-20">
                <form name="OICifscform" id="OICifscform" method="POST">
					<div class=" uniform">

						<div class="">
							<div class="select-wrapper">

								<?php

								$items = array();

								if($bank && $state && $district && $branch) {
									?>

									<select name="bank" id="bank">
										<option value="www.OnlineIfscCode.com">- Selected Bank -</option>
										<option selected="1" value="<?php echo $siteURL_OIC; ?>"><?php echo $bank; ?></option>
									</select>

									<br/>

									<select name="state" id="state">
										<option value="www.OnlineIfscCode.com">- Selected State -</option>
										<option selected="1" value="<?php echo $siteURL_OIC; ?>"><?php echo $state; ?></option>
									</select>

									<br/>

									<select name="district" id="district">
										<option value="www.OnlineIfscCode.com">- Selected District -</option>
										<option selected="1" value="<?php echo $siteURL_OIC; ?>"><?php echo $district; ?></option>
									</select>

									<br/>

									<select name="branch" id="branch">
										<option value="www.OnlineIfscCode.com">- Selected Branch -</option>
										<option selected="1" value="<?php echo $siteURL_OIC; ?>"><?php echo $branch; ?></option>
									</select>

									
										<center class="mt-15 mb-15">
											<h2><?php echo ucwords(strtolower( $bank . ", " . $branch . ", " . $district)); ?> Branch IFSC Details</h2>
										</center>
				<div class="table-responsive">                        
                    <table class="table table-striped table-bordered default-ordering">
						<tbody>
						<?php $query = mysqli_fetch_assoc(mysqli_query($connection_OIC, "SELECT * FROM `bank_details` WHERE `bank_name` = '".$bank."' AND `bank_district` = '".$district."' AND `bank_branch` = '".$branch."' LIMIT 1")); ?>
									
									<tr>
                                       <th>Bank Name</th>
                                       <td>
                                          <a href="<?php echo $siteURL_OIC . "" . url_string($query['bank_name']); ?>"><?php echo htmlentities($query['bank_name']); ?></a>
                                    </tr>
                                   
									<tr>
                                       <th>IFSC Code</th>
                                       <td>
									   <strong><?php echo htmlentities($query['bank_ifsc']); ?>
										</strong>
										
											
                                       </td>
                                    </tr>
									<tr>
                                       <th>MICR Code</th>
                                       <td>
									   <strong><?php if (!empty($query['bank_micr'])) { echo $query['bank_micr']; }else{ echo 'Not Available'; }?>
										</strong>
										
											
                                       </td>
                                    </tr>
									
									<tr><th>Branch</th>
                                       <td>
									    <a href="<?php echo $urlSelect . "" . $oWith . "" . $iWith . "" . $cWith. ".com/" . url_string($query['bank_name']) . "/" . 	url_string($query['bank_state']) . "/" . url_string($query['bank_district']) . "/" . url_string($query['bank_branch']); ?>" target="_blank"><?php echo htmlentities($query['bank_branch']); ?></a>
                                         
                                       </td>
                                    </tr>
                                    <tr><th>District</th>
                                       <td>
                                         <a href="<?php echo $siteURL_OIC . "" . url_string($query['bank_name']) . "/" . 	url_string($query['bank_state']) . "/" . url_string($query['bank_district']); ?>"><?php echo htmlentities($query['bank_district']); ?></a>
                                       </td>
                                    </tr>
                                   
                                    <tr>
                                       <th>City</th>
                                       <td>
                                          <?php echo htmlentities($query['bank_city']); ?>
										  <a href="<?php echo $urlSelect . "" . $oWith . "" . $iWith . "" . $cWith. ".com/" . url_string($query['bank_name']) . "/" . 	url_string($query['bank_state']) . "/" . url_string($query['bank_district']) . "/" . url_string($query['bank_branch']); ?>" class="show"><?php echo htmlentities($query['bank_name']); ?><?php echo htmlentities($query['bank_branch']); ?><?php echo htmlentities($query['bank_district']); ?></a>
                                       </td>
                                    </tr>
                                     <tr>
                                       <th>State</th>
                                       <td class="word-break">
                                          <a href="<?php echo $siteURL_OIC . "" . url_string($query['bank_name']) . "/" . 	url_string($query['bank_state']); ?>"><?php echo htmlentities($query['bank_state']); ?></a>
                                       </td>
                                    </tr>
									<tr>
                                       <th>Address</th>
                                       <td>
                                          <?php echo htmlentities($query['bank_address']); ?>
                                       </td>
                                    </tr>

                                    <tr>
                                       <th>Branch Code</th>
                                       <td>
                                          <?php echo substr($query['bank_ifsc'], -6); ?> <small>(Last six characters of IFSC code represent Branch code.)</small>
                                       </td>
                                    </tr>
									<tr>
                                       <th>Contact No.</th>
                                       <td>
									   <?php if (!empty($query['bank_contact'])) { echo $query['bank_contact']; }else{ echo 'Not Available'; }?>
                                          
                                       </td>
                                    </tr>
									

                                 </tbody>
                        </table>
                             
					</div>			
										


									<?php

								}

								else if($bank && $state && $district) {

									?>

									<select name="bankselected" id="bankselected">
										<option value="www.OnlineIfscCode.com">- Selected Bank -</option>
										<option selected="1" value="<?php echo $siteURL_OIC; ?>"><?php echo $bank; ?></option>
									</select>

									<br/>

									<select name="stateselected" id="stateselected">
										<option value="www.OnlineIfscCode.com">- Selected State -</option>
										<option selected="1" value="<?php echo $siteURL_OIC; ?>"><?php echo $state; ?></option>
									</select>

									<br/>

									<select name="districtselected" id="districtselected">
										<option value="www.OnlineIfscCode.com">- Selected District -</option>
										<option selected="1" value="<?php echo $siteURL_OIC; ?>"><?php echo $district; ?></option>
									</select>

									<br/>

									<select name="bank" id="bank" onChange="sendAction_OIC();">
										<option value="<?php echo $siteURL_OIC; ?>">- Select Branch -</option>

										<?php

										$query = mysqli_query($connection_OIC, "SELECT DISTINCT `bank_name`,`bank_state`,`bank_district`,`bank_branch` FROM `bank_details` WHERE `bank_name` = '".$bank."' AND `bank_state` = '".$state."' AND `bank_district` = '".$district."' ORDER BY `bank_branch` ASC");
										$total_queries = mysqli_num_rows($query);

										if($total_queries > 0) {
											while($bank_detail = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
												$items[] = $bank_detail['bank_branch'];
											}
										}

										if(count($items) > 0) {

											sort($items);
											$items = array_unique($items);

											foreach($items as $item) {
												$item_name_url = url_string($item);

												?>
												<option value="<?php echo $siteURL_OIC . url_string($bank).'/'. url_string($state).'/'. url_string($district).'/'. $item_name_url; ?>"><?php echo $item; ?></option>
												<?php
											}
										}

										?>

									</select>

									<br/><button class="btn-fill-primary plr-30" type="reset" onclick="resetAction_CC();"><b>Reset</b></button>

									<?php
								}
								else if($bank && $state) {

									?>

									<select name="bankselected" id="bankselected">
										<option value="www.OnlineIfscCode.com">- Selected Bank -</option>
										<option selected="1" value="<?php echo $siteURL_OIC; ?>"><?php echo $bank; ?></option>
									</select>

									<br/>

									<select name="stateselected" id="stateselected">
										<option value="www.OnlineIfscCode.com">- Selected State -</option>
										<option selected="1" value="<?php echo $siteURL_OIC; ?>"><?php echo $state; ?></option>
									</select>

									<br/>

									<select name="bank" id="bank" onChange="sendAction_OIC();">
										<option value="<?php echo $siteURL_OIC; ?>">- Select District -</option>

										<?php

										$query = mysqli_query($connection_OIC, "SELECT DISTINCT `bank_name`,`bank_state`,`bank_district` FROM `bank_details` WHERE `bank_name` = '".$bank."' AND `bank_state` = '".$state."' ORDER BY `bank_district` ASC");
										$total_queries = mysqli_num_rows($query);

										if($total_queries > 0) {
											while($bank_detail = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
												$items[] = $bank_detail['bank_district'];
											}
										}

										if(count($items) > 0) {

											sort($items);
											$items = array_unique($items);

											foreach($items as $item) {
												$item_name_url = url_string($item);

												?>
												<option value="<?php echo $siteURL_OIC . url_string($bank).'/'. url_string($state).'/'. $item_name_url; ?>"><?php echo $item; ?></option>
												<?php
											}
										}

										?>

									</select><br/>

									<select disabled="1">
										<option>- Select Branch -</option>
									</select>

									<br/><button class="btn-fill-primary plr-30" type="reset" onclick="resetAction_CC();"><b>Reset</b></button>

									<?php
								}
								else if($bank) {
									?>

									<select name="bankselected" id="bankselected">
										<option value="www.OnlineIfscCode.com">- Selected Bank -</option>
										<option selected="1" value="<?php echo $siteURL_OIC; ?>"><?php echo $bank; ?></option>
									</select>

									<br/>

									<select name="bank" id="bank" onChange="sendAction_OIC();">
										<option value="<?php echo $siteURL_OIC; ?>">- Select State -</option>

										<?php

										$query = mysqli_query($connection_OIC, "SELECT DISTINCT `bank_name`,`bank_state` FROM `bank_details` WHERE `bank_name` = '".$bank."' ORDER BY `bank_state` ASC");
										$total_queries = mysqli_num_rows($query);

										if($total_queries > 0) {
											while($bank_detail = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
												$items[] = $bank_detail['bank_state'];
											}
										}

										if(count($items) > 0) {

											sort($items);
											$items = array_unique($items);

											foreach($items as $item) {
												$item_name_url = url_string($item);

												?>
												<option value="<?php echo $siteURL_OIC . url_string($bank).'/'. $item_name_url; ?>"><?php echo $item; ?></option>
												<?php
											}
										}

										?>

									</select><br/>

									<select disabled="1">
										<option>- Select District -</option>
									</select><br/>

									<select disabled="1">
										<option>- Select Branch -</option>
									</select>

									<br/>
									<button class="btn-fill-primary plr-30" type="reset" onclick="resetAction_CC();"><b>Reset</b></button>
									
									<?php
								}
								else {
									$query = mysqli_query($connection_OIC, "SELECT DISTINCT `bank_name` FROM `bank_details` ORDER BY `bank_name` ASC");
									$total_queries = mysqli_num_rows($query);

									if($total_queries > 0) {
										while($bank_detail = mysqli_fetch_array($query, MYSQLI_ASSOC)) {
											$items[] = $bank_detail['bank_name'];
										}
									}

									?>

									<select name="bank" id="bank" onChange="sendAction_OIC();">
										<option value="<?php echo $siteURL_OIC; ?>">- Select Bank -</option>

										<?php

										if(count($items) > 0) {

											sort($items);
											$items = array_unique($items);

											foreach($items as $item) {
												$item_name_url = url_string($item);

												?>
												<option value="<?php echo $siteURL_OIC . $item_name_url; ?>"><?php echo $item; ?></option>
												<?php
											}
										}

										?>

									</select><br/>

									<select disabled="1">
										<option>- Select State -</option>
									</select><br/>

									<select disabled="1">
										<option>- Select District -</option>
									</select><br/>

									<select disabled="1">
										<option>- Select Branch -</option>
									</select>

									<?php
								}
								?>

							</div>
						</div>
					</div>
				</form>
                    </div>
                   
                    
                    
                </div>
                <div class="d-none d-md-block d-lg-none col-md-3"></div>
                
				
			<?php
		include 'include/sidebar.php';
		?>	
				
				
            </div>
        </div>
    </section>
    <?php
		include 'include/footer.php';
		?>